Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1388787 (CVE-2016-6911)

Summary: CVE-2016-6911 gd, php: Missing check for OOB read in dynamicGetbuf()
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abhgupta, databases-maint, dmcphers, fedora, hhorak, jialiu, jmlich83, jokerman, jorton, kseifried, lmeyer, mmccomas, mskalick, rcollet, sardella, tiwillia, trepik, varekova, webstack-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in gd. The function dynamicGetbuf() failed to check for out of bounds reads. An attacker could create a crafted image that would lead to a crash or, potentially, information disclosure.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-16 04:30:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1388788, 1388790    
Bug Blocks:    
Attachments:
Description Flags
CVE-2016-6911 patch none

Description Adam Mariš 2016-10-26 08:11:09 UTC
It was found that dynamicGetbuf() doesn't check for out-of-bounds read and returns wrong return code.

Comment 1 Adam Mariš 2016-10-26 08:11:56 UTC
Created gd tracking bugs for this issue:

Affects: fedora-all [bug 1388788]

Comment 2 Adam Mariš 2016-10-26 08:12:07 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1388790]

Comment 3 Adam Mariš 2016-10-26 08:17:42 UTC
Created attachment 1214203 [details]
CVE-2016-6911 patch

Comment 4 Marek Skalický 2016-12-05 09:52:31 UTC
Why the patch is not published to upstream?
Who created the fix please?

Comment 5 Adam Mariš 2016-12-05 10:42:32 UTC
(In reply to Marek Skalický from comment #4)
> Why the patch is not published to upstream?
> Who created the fix please?

I took it from https://bugzilla.suse.com/show_bug.cgi?id=1005274#c0

Comment 6 Marek Skalický 2016-12-06 11:21:05 UTC
Pull request to upstream
https://github.com/libgd/libgd/pull/353